%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define	rname	network-manager-applet

%define major_gtk	0
%define libnm_gtk		%mklibname nm-gtk %{major_gtk}
%define libnm_gtk_devel		%mklibname -d nm-gtk

%define major_nma	0
%define libnma		%mklibname nma %{major_nma}
%define libnma_devel		%mklibname -d nma

%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		networkmanager-applet
Summary:	Network connection manager system tray applet
Version:	1.2.2
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
#--------------------------------------------------
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:  GConf2-devel
BuildRequires:  iso-codes-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}dbus-1-devel
BuildRequires:  %{_lib}dbus-glib-1_2-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}gnome-bluetooth-devel
BuildRequires:  %{_lib}gnome-keyring-devel
BuildRequires:  %{_lib}girepository-devel
BuildRequires:  %{_lib}notify-devel
BuildRequires:  %{_lib}polkit1-devel
BuildRequires:  %{_lib}secret-devel
BuildRequires:  %{_lib}nm-devel
#--------------------------------------------------
Requires:	networkmanager
Conflicts:	drakx-net-applet

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for any desktop environments which
provide a system tray like KDE or XFCE. It displays the available networks and
allows to easily switch between them. For encrypted networks it will prompt the
user for the key/passphrase and it can optionally store them.

%package -n	%{libnma_devel}
Summary:	Development files for nma
Group:		Development/Libraries
Provides:	libnma-devel = %{version}-%{release}
Requires:	%{libnma} = %{version}-%{release}

%description -n %{libnma_devel}
Development files for nma.

%prep
%setup -q -n %{rname}-%{version}

%build
%configure2_5x	--disable-static --disable-more-warnings
%make

%install
rm -rf %buildroot
%makeinstall_std

# Remove .la files
find %buildroot -name '*.la' -delete
%find_lang nm-applet


%files -f nm-applet.lang
%doc ChangeLog CONTRIBUTING
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/applications/nm-applet.desktop
%{_iconsdir}/hicolor/*/apps/*
%dir %{_datadir}/nm-applet/
%{_datadir}/nm-applet/*.ui
%{_datadir}/nm-applet/*.png
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_datadir}/appdata/org.gnome.nm-connection-editor.appdata.xml

%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
%{_libdir}/libnm-gtk.so.%{major_gtk}*
%{_datadir}/libnm-gtk/wifi.ui

%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_libdir}/libnma.so.%{major_nma}*
%{_datadir}/libnma/wifi.ui


%files -n %{libnma_devel}
%{_includedir}/libnma/nma-*.h
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMA-1.0.gir

%{_includedir}/libnm-gtk/nm-*.h
%{_libdir}/pkgconfig/libnm-gtk.pc
%{_libdir}/libnm-gtk.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir

%changelog
* Sat May 14 2016 bb <bb> 1.2.2-1pclos2016
- update

* Fri Apr 22 2016 bb <bb> 1.2.0-1pclos2016
- create for pclos

